classification
Title: 3.4 cherry-pick: 1166b3321012 Revert changes of issue #19466 (clear thread state earlier)
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: larry, vstinner
Priority: release blocker Keywords:

Created on 2014-02-16 23:32 by vstinner, last changed 2014-02-20 06:27 by larry. This issue is now closed.

Messages (2)
msg211373 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-16 23:32
I modified Python shutdown process in issue #19466 to clear Python thread state earlier, but it introduced a regression: #20526. So I simply reverted my changes until the real bugs are fixed.

Changeset of the revert: 1166b3321012.
msg211444 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-17 21:31
Okay.
History
Date User Action Args
2014-02-20 06:27:12larrysetstatus: open -> closed
resolution: fixed
2014-02-17 21:31:32larrysetmessages: + msg211444
2014-02-16 23:32:19vstinnercreate